Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class GVTTreeBuilderAdapter

    java.lang.Object
      org.apache.batik.swing.svg.GVTTreeBuilderAdapter

All Implemented Interfaces:
  GVTTreeBuilderListener

    public abstract class GVTTreeBuilderAdapter

extends Object
implements GVTTreeBuilderListener

An adapter class that represents a listener to the GVTTreeBuilderEvent events.

Constructor Summary
`GVTTreeBuilderAdapter()`

Method Summary
`void` | `gvtBuildCancelled(GVTTreeBuilderEvent e)` Called when a build was cancelled.
`void` | `gvtBuildCompleted(GVTTreeBuilderEvent e)` Called when a build was completed.
`void` | `gvtBuildFailed(GVTTreeBuilderEvent e)` Called when a build failed.
`void` | `gvtBuildStarted(GVTTreeBuilderEvent e)` Called when a build started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GVTTreeBuilderAdapter

    public GVTTreeBuilderAdapter()

Method Detail

### gvtBuildStarted

    public void gvtBuildStarted(GVTTreeBuilderEvent e)

  Called when a build started. The data of the event is initialized to the old document.

  Specified by:
    `gvtBuildStarted` in interface `GVTTreeBuilderListener`

### gvtBuildCompleted

    public void gvtBuildCompleted(GVTTreeBuilderEvent e)

  Called when a build was completed.

  Specified by:
    `gvtBuildCompleted` in interface `GVTTreeBuilderListener`

### gvtBuildCancelled

    public void gvtBuildCancelled(GVTTreeBuilderEvent e)

  Called when a build was cancelled.

  Specified by:
    `gvtBuildCancelled` in interface `GVTTreeBuilderListener`

### gvtBuildFailed

    public void gvtBuildFailed(GVTTreeBuilderEvent e)

  Called when a build failed.

  Specified by:
    `gvtBuildFailed` in interface `GVTTreeBuilderListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.